Author Topic: My plugins update  (Read 7612 times)

0 Members and 1 Guest are viewing this topic.

Offline Administrator

  • Administrator
  • Newbie
  • *****
  • Posts: 13
  • Karma: +0/-0
    • View Profile
    • Macromonkey
My plugins update
« on: December 30, 2014, 11:49:07 AM »
Now that my site is back up I'm  in the process of updating my many plugins to at least IDA SDK version 6.5 since the non-Qt version is gone for good
and my UI customizations are broke, etc.
Hopefully I'll find a nice way using the latest Qt stuff to properly do my custom segment selector, etc., sans Windows API hacks.

In the process of updating to a new IDA SDK and making 64bit versions.

The latest versions of my public plugins for now:
IDA Signsrch
ZyFixer
GUID-Finder
IDA2PAT Reloaded


Notes:
To avoid conflicts I no longer compile my plug-ins with default hot keys.
You'll have to either edit your "plugins.cfg" and add them there or invoke from IDA's "Edit-Plugins" menu.

Also I'm usually compiling these with the latest IDA SDK (version 6.7, and about to update to 6.8 as of this writing).
For those using 6.6 or what ever you'll have to fix the differences and recompile with what ever SDK you have.
See https://www.hex-rays.com/products/ida/6.8/index.shtml pages to compare API updates.